Magick++ 7.0.10

Public Member Functions | List of all members
Magick::PathQuadraticCurvetoArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions
| PathQuadraticCurvetoArgs (void)
| PathQuadraticCurvetoArgs (double x1_, double y1_, double x_, double y_)
| PathQuadraticCurvetoArgs (const PathQuadraticCurvetoArgs &original_)
| ~PathQuadraticCurvetoArgs (void)
void | x1 (double x1_)
double | x1 (void) const
void | y1 (double y1_)
double | y1 (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2740 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathQuadraticCurvetoArgs() [1/3]

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | void |  | ) |

Definition at line 2153 of file Drawable.cpp.

## ◆ PathQuadraticCurvetoArgs() [2/3]

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | double | x1_,
|  | double | y1_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 2161 of file Drawable.cpp.

## ◆ PathQuadraticCurvetoArgs() [3/3]

Magick::PathQuadraticCurvetoArgs::PathQuadraticCurvetoArgs | ( | const PathQuadraticCurvetoArgs & | original_ | ) |

Definition at line 2172 of file Drawable.cpp.

## ◆ ~PathQuadraticCurvetoArgs()

Magick::PathQuadraticCurvetoArgs::~PathQuadraticCurvetoArgs | ( | void |  | ) |

Definition at line 2180 of file Drawable.cpp.

## Member Function Documentation

## ◆ x() [1/2]

void Magick::PathQuadraticCurvetoArgs::x | ( | double | x_ | ) |
| inline

Definition at line 2770 of file Drawable.h.

## ◆ x() [2/2]

double Magick::PathQuadraticCurvetoArgs::x | ( | void |  | ) | const
| inline

Definition at line 2774 of file Drawable.h.

## ◆ x1() [1/2]

void Magick::PathQuadraticCurvetoArgs::x1 | ( | double | x1_ | ) |
| inline

Definition at line 2752 of file Drawable.h.

## ◆ x1() [2/2]

double Magick::PathQuadraticCurvetoArgs::x1 | ( | void |  | ) | const
| inline

Definition at line 2756 of file Drawable.h.

## ◆ y() [1/2]

void Magick::PathQuadraticCurvetoArgs::y | ( | double | y_ | ) |
| inline

Definition at line 2779 of file Drawable.h.

## ◆ y() [2/2]

double Magick::PathQuadraticCurvetoArgs::y | ( | void |  | ) | const
| inline

Definition at line 2783 of file Drawable.h.

## ◆ y1() [1/2]

void Magick::PathQuadraticCurvetoArgs::y1 | ( | double | y1_ | ) |
| inline

Definition at line 2761 of file Drawable.h.

## ◆ y1() [2/2]

double Magick::PathQuadraticCurvetoArgs::y1 | ( | void |  | ) | const
| inline

Definition at line 2765 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp